*, *:before, *:after {
    box-sizing: border-box;
  }
  
  html {
    overflow-y: scroll;
  }
  
  body {
    /* background: #c1bdba; */
    font-family: 'Titillium Web', sans-serif;
  }

  .team .label {
    color: black;
  }

  .button {
    border: 0;
    outline: none;
    border-radius: 0;
    padding: 15px 0;
    font-size: 2rem;
    font-weight: 600;
    text-transform: uppercase;
    letter-spacing: .1em;
    background: #1ab188;
    color: #ffffff;
    transition: all 0.5s ease;
    -webkit-appearance: none;
  }

  .header {
    border-bottom: black;
    border-bottom-style: solid;
    background-color: green;
    height: 50px;
    padding: 15px;
  }

  .confidence-game-selection, .confidence-game-option, 
  .confidence-game-confidence-score, .perfect-bracket-placement-picker, 
  .perfect-bracket-placement-picker-option, #location-dropdown option, #location-dropdown {
    background-color: white;
    color: black;
  }

  .confidence-game-row {
    column-gap: 10px;
    display: flex;

  }

  .header-button {
    border: black;
    border-style: solid;
    width: 200px;
    text-align: center;
    height: 25px;
    background-color: aqua;
  }

  .header-button:hover {
    cursor: pointer;
    background-color: blue;
  }
  
  .main-area-button {
    background-color: #0000ec;
    padding: 10px;
    color: wheat;
    border-radius: 10px;
    box-shadow: 5px 5px 10px black;
  }

  .main-area-button:hover {
    cursor: pointer;
    background-color: rgb(15, 15, 94);
  }

  #main-area-middle {
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    padding-top: 25px;
    row-gap: 15px;
  }

  #log-out-button {
    width: 100px;
  }

  #bracket-title, #your-score, .leaderboard-title {
    font-size: 32px;
    color: white;
    text-shadow: 2px 2px black;
  }

  #loading-screen {
    background-image: url(images/loading-arrows.webp);
    background-color: #ffffff6b;
    background-repeat: no-repeat;
    background-size: 200px 200px;
    background-position: center;
    position: absolute;
    z-index: 99999999999;
    width: 100vw;
    height: 100vh;
  }

  #top-bar {
    display: flex;
    justify-content: space-between;
    padding-left: 25px;
    padding-top: 10px;
    padding-right: 25px;
    padding-bottom: 10px;
    background: #7d1a1a;
    color: wheat;
    font-size: 25px;
  }

  .new-game-button, .done-button {
    background-color: #456cb2;
    padding: 10px;
    border-radius: 10px;
    color: wheat;
    box-shadow: 5px 5px 10px black;
    width: 300px;
    text-align: center;
  }

  #brackets-list, #confidence-area, #confidence-selection-area, .leaderboard-list {
    background-color: #262626d6;
    color: white;
    padding: 15px;
    border-radius: 10px;
    box-shadow: 5px 5px 10px black;
  }

  .new-game-button:hover, .done-button:hover {
    cursor: pointer;
    background-color: #2d4572;
  }

  #new-game-button-cancel:hover {
    background-color: #3b0e0e;
  }

  #main-area {
    width: 100vw;
    height: 100vh;
    z-index: 99999999;
    position: absolute;
    background-color: #000000d6;
    background-image: url(images/home-1-1678x992.png);
    background-size: cover;
    background-position: center;
  }

  #create-bracket-form-container {
    height: 100vh;
    width: 100vw;
    display: flex;
    justify-content: center;
    position: fixed;
    align-items: center;
    background-color: #000000cc;
  }
  
  #logo-main {
    background-image: url("logo.png");
    background-size: cover;
    width: 400px;
  }

  a {
    text-decoration: none;
    color: #1ab188;
    transition: .5s ease;
  }

  .button-small {
    font-size: 1rem !important;
    padding: 5px !important;
  }

  .bracket-list-button {
    display: inline-block;
    width: 53px;
    margin-right: 10px;
    text-align: center;
    box-shadow: 3px 3px 5px black;
    border-radius: 5px;
}

  a:hover {
    color: #179b77;
    cursor: pointer;
  }

  .form {
    background: rgba(19, 35, 47, 0.9);
    padding: 40px;
    max-width: 600px;
    margin: 40px auto;
    border-radius: 4px;
    box-shadow: 0 4px 10px 4px rgba(19, 35, 47, 0.3);
    position: absolute;
    z-index: 999;
  }

  #log-out-button {
    cursor: pointer;
  }

  #login-panel{
    display: flex;
    justify-content: center;
    background: #000000b0;
    height: 100%;
    position: fixed;
    top: 0px;
    left: 0px;
    width: 100%;
    z-index: 100;
  }
  
  .tab-group {
    list-style: none;
    padding: 0;
    margin: 0 0 40px 0;
  }
  .tab-group:after {
    content: "";
    display: table;
    clear: both;
  }
  .tab-group li a {
    display: block;
    text-decoration: none;
    padding: 15px;
    background: rgba(160, 179, 176, 0.25);
    color: #a0b3b0;
    font-size: 20px;
    float: left;
    width: 50%;
    text-align: center;
    cursor: pointer;
    transition: .5s ease;
  }
  .tab-group li a:hover {
    background: #179b77;
    color: #ffffff;
  }
  .tab-group .active a {
    background: #1ab188;
    color: #ffffff;
  }
  
  .tab-content > div:last-child {
    display: none;
  }
  
  #login-panel h1 {
    text-align: center;
    color: #ffffff;
    font-weight: 300;
    margin: 0 0 40px;
    font-size: 32px;
  }
  
  label {
    position: absolute;
    transform: translateY(6px);
    left: 13px;
    color: rgba(255, 255, 255, 0.5);
    transition: all 0.25s ease;
    -webkit-backface-visibility: hidden;
    pointer-events: none;
    font-size: 22px;
  }

  label .req {
    margin: 2px;
    color: #1ab188;
  }
  
  label.active {
    transform: translateY(50px);
    left: 2px;
    font-size: 14px;
  }
  label.active .req {
    opacity: 0;
  }
  
  label.highlight {
    color: #ffffff;
  }
  
  #login-panel input, textarea, select {
    font-size: 22px;
    display: block;
    width: 100%;
    height: 100%;
    padding: 5px 10px;
    background: none;
    background-image: none;
    border: 1px solid #a0b3b0;
    color: #ffffff;
    border-radius: 0;
    transition: border-color .25s ease, box-shadow .25s ease;
  }
  input:focus, textarea:focus {
    outline: 0;
    border-color: #1ab188;
  }

  option {
    background: rgba(19, 35, 47, 0.9);
  }
  
  textarea {
    border: 2px solid #a0b3b0;
    resize: vertical;
  }
  
  .field-wrap {
    position: relative;
    margin-bottom: 40px;
  }
  
  .top-row:after {
    content: "";
    display: table;
    clear: both;
  }
  .top-row > div {
    float: left;
    width: 48%;
    margin-right: 4%;
  }
  .top-row > div:last-child {
    margin: 0;
  }
  
  .button:hover, .button:focus {
    background: #179b77;
  }

  .button:hover {
    cursor: pointer;
  }
  
  .button-block {
    display: block;
    width: 100%;
  }
  
  .forgot {
    margin-top: -20px;
    text-align: right;
  }
  